{% extends 'base.html' %}

{% block content %}




<!-- START MENU DESIGN AREA -->
<header class="welcome-area">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <!-- START LOGO DESIGN AREA -->
                <div class="logo text-center">
                    <a href="{{ url_for('home') }}">
                        <img src="{{ url_for('static', filename= 'images/logo.png') }}" alt="">
                    </a>
                </div>
                <!-- END LOGO DESIGN AREA -->
            </div>
        </div>
        <div class="row menu-border">
            <div class="col-md-9 col-xs-12">
                <!-- START MENU DESIGN AREA -->
                <div class="mainmenu">
                    <div class="navbar navbar-nobg">
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle" data-toggle="collapse"
                                    data-target=".navbar-collapse">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>
                        <div class="navbar-collapse collapse">
                            <ul class="nav navbar-nav navbar-left">
                                <li class="active"><a class="smooth-scroll" href="{{ url_for('recipes') }}">ALL
                                    <div class="ripple-wrapper"></div>
                                </a>
                                </li>
                                <li><a class="smooth-scroll" href="{{ url_for('rice') }}">RICE </a></li>
                                <li><a class="smooth-scroll" href="{{ url_for('vegetarian') }}">VEGETARIAN</a></li>
                                <li><a class="smooth-scroll" href="{{ url_for('non_vegetarian') }}">NON-VEGETARIAN</a>
                                </li>
                                <li><a class="smooth-scroll" href="{{ url_for('desserts') }}">DESSERTS</a></li>
                                <li><a class="smooth-scroll" href="{{ url_for('snacks') }}">SNACKS</a></li>
                                <li><a class="smooth-scroll" href="{{ url_for('drinks') }}">DRINKS</a></li>
                                <li><a class="smooth-scroll" href="{{ url_for('spicepentry') }}">SPICE PANTRY</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
                <!-- END MENU DESIGN AREA -->
            </div>
            <div class="col-md-3 col-xs-12">
                <div class="search-area">
                    <form class="form-inline" action="{{ url_for('search_api') }}" method="POST"
                          enctype="multipart/form-data">
                        <input class="form-control" type="search" name="searchstring" placeholder="Search"
                               aria-label="Search" required>
                        <button class="btn btn-outline-success my-2 my-sm-0" type="submit"><i class="fa fa-search"></i>
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</header>
<!-- / END MENU DESIGN AREA -->

<!-- START ADD RECIPES DETAILS DESIGN AREA -->
<section class="login-area section-padding">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="section-title">
                    <h2>{{ result.recipeName }}</h2>
                    <p>Created By : {{ result.username }} <br> In
                        Category: {{ result.category }}</p>
                </div>
            </div>
        </div>
        <div class="row">
            <!-- START RECIPES DETAILS DESIGN AREA -->
            <div class="col-md-6 col-md-offset-3">
                <div class="recipes-details-info">
                    <!-- <div class="single-recipes-details">
                        <h2><strong>DESCRIPTION:</strong> {{result.description}}</h2><br>
                        </div> -->
                    <div class="single-recipes-details">
                        <h2><strong>DESCRIPTION :</strong></h2>
                        <ul>
                            {% for s in result.description %}
                                <li><i class="fa fa-check"></i> {{ s }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                    <img src="{{ result.imageUrl }}" alt="">

                    <div class="single-recipes-details">
                        <h2><strong>PREPARATION TIME:</strong> {{ result.recipeName }}</h2><br>
                        <h2><strong>COOKING TIME :</strong> {{ result.cookingTime }}</h2><br>
                    </div>

                    <div class="single-recipes-details">
                        <h2><strong>Servings :</strong></h2>
                        <ul>
                            {% for s in result.servings %}
                                <li><i class="fa fa-check"></i> {{ s }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                    <div class="single-recipes-details">
                        <h2><strong>INGREDIENTS :</strong></h2>
                        <ul>
                            {% for s in result.ingredients %}
                                <li><i class="fa fa-check"></i> {{ s }}</li>
                            {% endfor %}
                        </ul>
                    </div>


                    <div class="single-recipes-details">
                        <h2><strong>INSTRUCTIONS :</strong></h2>
                        <ul>
                            {% for s in result.instructions %}
                                <li><i class="fa fa-check"></i> {{ s }}</li>
                            {% endfor %}
                        </ul>
                    </div>

                    <div class="single-recipes-details">
                        <h2><strong>TIPS :</strong></h2>
                        <ul>
                            {% for s in result.tips %}
                                <li><i class="fa fa-check"></i> {{ s }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                    {% if islogin %}
                        <div class="add-button">
                            <a href="{{ url_for('update_recipe',recipieid=result.id) }}"
                               class="btn btn-primary">Edit</a>
                            <button type="CANCEL" data-toggle="modal" data-target="#exampleModal"
                                    class="btn btn-primary">Delete
                            </button>
                        </div>
                    {% endif %}
                </div>
                {% if islogin %}
                    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog"
                         aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content text-center">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body text-center">
                                    <h2>Are You sure you want to delete? ({{ result.recipeName }})</h2>
                                </div>
                                <div class="modal-footer text-center">
                                    <button type="button" class="btn btn-primary" data-dismiss="modal">CANCEL</button>
                                    <a href="{{ url_for('delete_recipe',recipieid=result.id) }}">
                                        <button type="button" class="btn btn-primary">Delete</button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                {% endif %}
            <!-- / END RECIPES DETAILS DESIGN AREA -->
        </div>
    </div>
</section>
<!-- / END ADD RECIPES DETAILS DESIGN AREA -->

<!-- START CALL TO ACTION DESIGN AREA -->

<!-- END CALL TO ACTION DESIGN AREA -->

<!-- START FOOTER DESIGN AREA -->
<section class="footer-top-area section-padding">
    <div class="container">
        <div class="row">
            <div class="col-md-3 col-sm-6">

                <!-- START QUICK LINKS DESIGN AREA -->
                <div class="single-footer-top">
                    <h2>Quick Links</h2>
                    <div class="footer-menu">
                        <ul>
                            <li><a href="{{ url_for('home') }}">HOME</a></li>
                            <li><a href="{{ url_for('recipes') }}">ALL RECIPES</a></li>
                            <li><a href="{{ url_for('shop') }}">SHOP</a></li>
                            <li><a href="{{ url_for('login') }}">Login & Add Recipe</a></li>
                        </ul>
                    </div>
                </div>
                <!-- / END QUICK LINKS DESIGN AREA -->
            </div>
            <div class="col-md-3"></div>
            <div class="col-md-3"></div>

            <!-- START NEWSLATTER DESIGN AREA -->
            <div class="col-md-3 col-sm-6">
                <div class="single-footer-top">
                    <div id="subscribe" class="newslatter text-center">
                        <h2>Newsletter</h2>

                        <p>Subscribe to our weekly Newsletter and stay tuned.</p>
                        <form action="{{ url_for('subscribe') }}" method="POST" enctype="multipart/form-data">
                            <div class="input-prepend"><span class="add-on"><i class="icon-envelope"></i></span>
                                <input name="email" class="form-control" type="text" id="name"
                                       placeholder="your@email.com" required>
                            </div>
                            <br/>
                            <input type="submit" value="SUBSCRIBE" class="btn btn-large read-more"/>
                        </form>
                    </div>
                </div>
            </div>
            <!-- END NEWSLATTER DESIGN AREA -->

        </div>
        <!-- START SOCIAL LINKS DESIGN AREA -->
        <div class="row social-border">
            <div class="col-md-12">
                <div class="contact-social text-center">
                    <ul>
                        <li><a href="https://www.facebook.com/taste.india.71/" target="_blank"><i
                                class="fa fa-facebook"></i></a></li>
                        <li><a href="https://www.instagram.com/tasteindiarecipes/" target="_blank"><i
                                class="fa fa-instagram"></i></a></li>
                        <li><a href="https://www.pinterest.com/TasteIndiaRecipes/_saved/" target="_blank"><i
                                class="fa fa-pinterest"></i></a></li>
                        <li><a href="https://www.linkedin.com/in/syedafatimaomer/" target="_blank"><i
                                class="fa fa-linkedin"></i></a></li>
                        <li><a href="https://www.youtube.com/channel/UCwQKQGe-tKJGCSY-Tw3rhhA/about" target="_blank"><i
                                class="fa fa-youtube"></i></a></li>
                        <li><a href="https://github.com/FatimasCoding2020" target="_blank"><i class="fa fa-github"></i></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- END SOCIAL LINKS DESIGN AREA -->
    </div>
</section>

{% endblock %}
